Name:           strip-nondeterminism
Version:        1.1.1
Release:        1%{?dist}
Summary:        File non-deterministic information stripper — stand-alone tool

License:        GPLv3+
URL:            https://salsa.debian.org/reproducible-builds
Source:         %{url}/reproducible-lfs/raw/master/releases/%{name}/%{name}-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)


%description
File::StripNondeterminism is a Perl module for stripping bits of
nondeterministic information, such as timestamps and file system
order, from files such as gzipped files, ZIP archives, and Jar files.
It can be used as a post-processing step to make a build reproducible,
when the build process itself cannot be made deterministic.  It is used
as part of the Reproducible Builds project.

This package installs the stand-alone strip-nondeterminism command line
utility.

strip-nondeterminism contains the File::StripNondeterminism Perl module, the
strip-nondeterminism command line utility, and the dh_strip_nondeterminism
Debhelper add-on.


%package -n perl-File-StripNondeterminism
Summary:        File non-deterministic information stripper — Perl module

# The name of this package on Debian and derivatives
Provides:       libfile-stripnondeterminism-perl = %{version}-%{release}


%description -n perl-File-StripNondeterminism
File::StripNondeterminism is a Perl module for stripping bits of
nondeterministic information, such as timestamps and file system
order, from files such as gzipped files, ZIP archives, and Jar files.
It can be used as a post-processing step to make a build reproducible,
when the build process itself cannot be made deterministic.  It is used
as part of the Reproducible Builds project.

This package installs the File::StripNondeterminism Perl module.


%package -n dh-strip-nondeterminism
Summary:        File non-deterministic information stripper — Debhelper add-on


%description -n dh-strip-nondeterminism
File::StripNondeterminism is a Perl module for stripping bits of
nondeterministic information, such as timestamps and file system
order, from files such as gzipped files, ZIP archives, and Jar files.
It can be used as a post-processing step to make a build reproducible,
when the build process itself cannot be made deterministic.  It is used
as part of the Reproducible Builds project.

This package installs the dh_strip_nondeterminism Debhelper add-on.
utility.


%prep
%autosetup


%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
%make_build


%install
%make_build pure_install DESTDIR=%{buildroot}


%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%files -n perl-File-StripNondeterminism
%license COPYING
%{perl_vendorlib}/File/*


%files -n dh-strip-nondeterminism
%license COPYING
%{_bindir}/dh_strip_nondeterminism
%{_mandir}/man1/dh_strip_nondeterminism.1.gz


%changelog
* Mon Feb 18 2018 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.1.1-1
- Initial spec
